<?php
namespace App\Utils\BaseParser\TextParser\Types;

class InternalMarker extends \App\Utils\BaseParser\TextParser\BlockRegexpAbstract
{
	public function isValid()
	{
		return true;
	}

	public function isMemberOfExtractedData()
	{
		return true;
	}

	protected function _extract(\App\Utils\BaseParser\TextParser\ExtractedBlock $ret, $originalRawData)
	{
		\Engine\Debug\ParserCallTrace\ParserCallTrace::getInstance()->logCallStart($this, __METHOD__, func_get_args());

		$ret->extractedData = $this->options['val'];
		$ret->remainingGlobalData = $originalRawData;

		\Engine\Debug\ParserCallTrace\ParserCallTrace::getInstance()->logCallEnd();
		return $ret;
	}
}
